Bullet Collision Detection & Physics Library: btCollisionWorld::ClosestRayResultCallback Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btCollisionWorld::ClosestRayResultCallback Struct Reference

`#include <btCollisionWorld.h>`

Inheritance diagram for btCollisionWorld::ClosestRayResultCallback:
[legend]
Collaboration diagram for btCollisionWorld::ClosestRayResultCallback:
[legend]

## Public Member Functions
| ClosestRayResultCallback (const btVector3 &rayFromWorld, const btVector3 &rayToWorld)
virtual btScalar | addSingleResult (LocalRayResult &rayResult, bool normalInWorldSpace)
Public Member Functions inherited from btCollisionWorld::RayResultCallback
virtual | ~RayResultCallback ()
bool | hasHit () const
| RayResultCallback ()
virtual bool | needsCollision (btBroadphaseProxy *proxy0) const

## Public Attributes
btVector3 | m_rayFromWorld
btVector3 | m_rayToWorld
btVector3 | m_hitNormalWorld
btVector3 | m_hitPointWorld
Public Attributes inherited from btCollisionWorld::RayResultCallback
btScalar | m_closestHitFraction
const btCollisionObject * | m_collisionObject
int | m_collisionFilterGroup
int | m_collisionFilterMask
unsigned int | m_flags

## Detailed Description

Definition at line 232 of file btCollisionWorld.h.

## Constructor & Destructor Documentation

## ◆ ClosestRayResultCallback()

btCollisionWorld::ClosestRayResultCallback::ClosestRayResultCallback | ( | const btVector3 & | rayFromWorld,
|  | const btVector3 & | rayToWorld )
| inline

Definition at line 234 of file btCollisionWorld.h.

## Member Function Documentation

## ◆ addSingleResult()

virtual btScalar btCollisionWorld::ClosestRayResultCallback::addSingleResult | ( | LocalRayResult & | rayResult,
|  | bool | normalInWorldSpace )
| inlinevirtual

need to transform normal into worldspace

Implements btCollisionWorld::RayResultCallback.

Reimplemented in btKinematicClosestNotMeRayResultCallback.

Definition at line 246 of file btCollisionWorld.h.

## Member Data Documentation

## ◆ m_hitNormalWorld

btVector3 btCollisionWorld::ClosestRayResultCallback::m_hitNormalWorld

Definition at line 243 of file btCollisionWorld.h.

## ◆ m_hitPointWorld

btVector3 btCollisionWorld::ClosestRayResultCallback::m_hitPointWorld

Definition at line 244 of file btCollisionWorld.h.

## ◆ m_rayFromWorld

btVector3 btCollisionWorld::ClosestRayResultCallback::m_rayFromWorld

Definition at line 240 of file btCollisionWorld.h.

## ◆ m_rayToWorld

btVector3 btCollisionWorld::ClosestRayResultCallback::m_rayToWorld

Definition at line 241 of file btCollisionWorld.h.

The documentation for this struct was generated from the following file:

- btCollisionWorld.h